# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorarch: %global perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-Algorithm-Diff-XS
Version:	0.04
Release:	1.%{__distinit}%{__distvers}
Summary:	Algorithm::Diff with XS core loop
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Algorithm-Diff-XS/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUDREYT/Algorithm-Diff-XS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildRequires:	perl(Algorithm::Diff) >= 1.19
BuildRequires:	perl(ExtUtils::MakeMaker)

%{?perl_default_filter}

%description
This module is a simple re-packaging of Joe Schaefer's excellent but not very
well-known Algorithm::LCS with a drop-in interface that simply re-uses the
installed version of the Algorithm::Diff module.

Note that only the LCSidx function is optimized in XS at the moment, which
means only compact_diff will get significantly faster for large data sets,
while diff and sdiff will run in identical speed as Algorithm::Diff.

%prep
%setup -q -n Algorithm-Diff-XS-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} \;
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} \; 2>/dev/null
%{__chmod} -R u+w %{buildroot}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/auto/Algorithm/
%{perl_vendorarch}/Algorithm/
%{_mandir}/man3/Algorithm::Diff::XS.3pm*

%changelog
* Wed Mar 16 2011 Paul Howarth <paul@city-fan.org> - 0.04-1
- Initial RPM version
